%{?!python3_pkgversion:%global python3_pkgversion 3}

%global pypi_name azure-nspkg
%global name_underscore azure_nspkg

Name:           python-%{pypi_name}
Version:        3.0.2
Release:        1%{?dist}
Summary:        Microsoft Azure Namespace Package [Internal]
License:        MIT
URL:            https://github.com/Azure/azure-sdk-for-python/tree/main/sdk/nspkg/azure-nspkg
Source0:        https://files.pythonhosted.org/packages/39/31/b24f494eca22e0389ac2e81b1b734453f187b69c95f039aa202f6f798b84/%{pypi_name}-%{version}.zip

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%{?python_enable_dependency_generator}

%description
This is the Microsoft Azure namespace package.

This package is not intended to be installed directly by the end user.

Since version 3.0, this is Python 2 package only, Python 3.x SDKs will use 
PEP420 as namespace package strategy. 
To avoid issues with package servers that does not support python_requires, 
a Python 3 package is installed but is empty.

It provides the necessary files for other packages to extend the azure 
namespace.

If you are looking to install the Azure client libraries, see the azure bundle 
package.


%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%if %{undefined python_enable_dependency_generator} && %{undefined python_disable_dependency_generator}
# Put manual requires here:
Requires:       python%{python3_pkgversion}-foo
%endif

%description -n python%{python3_pkgversion}-%{pypi_name}
...


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%py3_build


%install
rm -rf $RPM_BUILD_ROOT
%py3_install


%check
# No test package is empty


%files -n  python%{python3_pkgversion}-%{pypi_name}

# For noarch packages: sitelib
%{python3_sitelib}/%{name_underscore}-%{version}-py%{python3_version}.egg-info/
# For arch-specific packages: sitearch
%{python3_sitelib}/%{name_underscore}-%{version}-py%{python3_version}.egg-info/


%changelog
* Thu Jul 14 2022 Rommel Layco <rommel.layco@aiven.io>  3.0.2-1
- Initial Package
